curl --request PATCH \
--url https://{your-subdomain}.neetocrm.com/api/external/v2/deals/{id} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <x-api-key>' \
--data '{}'const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{your-subdomain}.neetocrm.com/api/external/v2/deals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocrm.com/api/external/v2/deals/{id}"
payload = {}
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"deal": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Eve Enterprise Deal",
"status": "in_progress",
"value": 10000,
"currency": "USD",
"price": "$ 10000",
"unique_number": "D-001",
"contact": {
"id": "c1d2e3f4-a5b6-7890-cdef-123456789012",
"name": "Eve"
},
"company": {
"id": "d2e3f4a5-b6c7-8901-def0-234567890123",
"name": "Eve Corp"
},
"owner": null,
"pipeline": null,
"stage": null,
"tags": [],
"created_at": "2025-03-15T10:30:00.000Z",
"updated_at": "2025-03-15T10:30:00.000Z"
}
}Update deal
Update an existing deal by its ID.
curl --request PATCH \
--url https://{your-subdomain}.neetocrm.com/api/external/v2/deals/{id} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <x-api-key>' \
--data '{}'const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{your-subdomain}.neetocrm.com/api/external/v2/deals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocrm.com/api/external/v2/deals/{id}"
payload = {}
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"deal": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Eve Enterprise Deal",
"status": "in_progress",
"value": 10000,
"currency": "USD",
"price": "$ 10000",
"unique_number": "D-001",
"contact": {
"id": "c1d2e3f4-a5b6-7890-cdef-123456789012",
"name": "Eve"
},
"company": {
"id": "d2e3f4a5-b6c7-8901-def0-234567890123",
"name": "Eve Corp"
},
"owner": null,
"pipeline": null,
"stage": null,
"tags": [],
"created_at": "2025-03-15T10:30:00.000Z",
"updated_at": "2025-03-15T10:30:00.000Z"
}
}{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
The ID of the deal to update. You can get the deal id by listing all deals using our List all deals API.
Body
Hide child attributes
Hide child attributes
Deal name.
"Eve Enterprise Deal"
Monetary value of the deal.
10000
Deal status.
in_progress, won, lost "in_progress"
Unique identifier of the owner.
"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
Stage ID.
"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
Pipeline ID.
"b2c3d4e5-f6a7-8901-bcde-f12345678901"
Position in pipeline.
1
Array of tag IDs.
[
"a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"b2c3d4e5-f6a7-8901-bcde-f12345678901"
]Response
Deal updated successfully.
Hide child attributes
Hide child attributes
Unique identifier for the deal.
Name of the deal.
Current status of the deal.
in_progress, won, lost Monetary value of the deal.
Currency code for the deal value.
Formatted price string (e.g. "$ 10000").
Auto-generated unique number for the deal.
Owner of the deal.
Timestamp when the deal was created.
Timestamp when the deal was last updated.